### Method

# FwupdPlugin Chunk get_data_out

since: 1.5.6

#### Declaration [src]

    guint8*
    fu_chunk_get_data_out (
      FuChunk* self
    )

#### Description [src]

Gets the mutable data of the chunk.

WARNING: At the moment `fu_chunk_get_data_out()` returns the same data as `fu_chunk_get_data()` in all cases. The caller should verify the data passed to `fu_chunk_array_new()` is also writable (i.e. not `const` or `mmap`) before using this function.

Available since: 1.5.6

#### Return value

Type: `guint8*`

Bytes.

The data is owned by the instance.